mbed TLS v2.23.0

Data Fields
psa_hmac_internal_data Struct Reference

`#include <crypto_struct.h>`

Collaboration diagram for psa_hmac_internal_data:
[legend]

## Data Fields
struct psa_hash_operation_s | hash_ctx
uint8_t | opad [PSA_HMAC_MAX_HASH_BLOCK_SIZE]

## Detailed Description

Definition at line 120 of file crypto_struct.h.

## Field Documentation

## ◆ hash_ctx

struct psa_hash_operation_s psa_hmac_internal_data::hash_ctx

The hash context.

Definition at line 107 of file crypto_struct.h.

## ◆ opad

uint8_t psa_hmac_internal_data::opad[PSA_HMAC_MAX_HASH_BLOCK_SIZE]

The HMAC part of the context.

Definition at line 125 of file crypto_struct.h.

The documentation for this struct was generated from the following file:

- crypto_struct.h